//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_mixer_config_hpp__
#define __INC_mixer_config_hpp__

#include <QSize>


namespace QSnd
{


///
/// @brief Mixer_Config
///
class Mixer_Config
{
	// Public methods
	public:

	Mixer_Config ( );


	bool
	show_dirs_equal (
		const Mixer_Config & cfg_n ) const;

	bool
	operator == (
		const Mixer_Config & cfg_n );

	bool
	operator != (
		const Mixer_Config & cfg_n );

	// Public attributes

	bool show_dir[2];

	Qt::Orientation orientation;
};


} // End of namespace


#endif

