//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_events.hpp"


namespace QSnd
{


QEvent::Type event_type_update_request;
QEvent::Type event_type_update;
QEvent::Type event_type_element_changed;
QEvent::Type event_type_signal_elements_change;
QEvent::Type event_type_refresh_data;


void
init_mixer_events ( )
{
	event_type_update_request =
		static_cast < QEvent::Type > ( QEvent::registerEventType() );
	event_type_update =
		static_cast < QEvent::Type > ( QEvent::registerEventType() );
	event_type_element_changed =
		static_cast < QEvent::Type > ( QEvent::registerEventType() );
	event_type_signal_elements_change =
		static_cast < QEvent::Type > ( QEvent::registerEventType() );
	event_type_refresh_data =
		static_cast < QEvent::Type > ( QEvent::registerEventType() );
}


} // End of namespace

