//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcovered_spinbox_double_hpp__
#define __INC_qcovered_spinbox_double_hpp__

#include <QDoubleSpinBox>

#include "qcovered_input.hpp"


namespace Wdg {


class QCovered_Spinbox_Double :
	public QCovered_Input
{
	// Public methods
	public:

	QCovered_Spinbox_Double (
		QWidget * parent_n = 0 );


	QDoubleSpinBox *
	spinbox ( );


	// Private attributes
	private:

	QDoubleSpinBox _spinbox;
};


inline
QDoubleSpinBox *
QCovered_Spinbox_Double::spinbox ( )
{
	return &_spinbox;
}



} // End of namespace

#endif


