//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qenum_select.hpp"

#include <QHBoxLayout>


namespace Wdg
{


QEnum_Select::QEnum_Select (
	QWidget * parent,
	const QString & name_n ) :
QWidget ( parent )
{
	_lbl.setText ( name_n );
	_lbl.setFocusProxy ( &_select );
	_lbl.setFocusPolicy ( Qt::StrongFocus );

	QHBoxLayout * lay_hbox ( new QHBoxLayout );
	lay_hbox->setContentsMargins ( 0, 0, 0, 0 );
	lay_hbox->addWidget ( &_lbl );
	lay_hbox->addWidget ( &_select );

	setLayout ( lay_hbox );
}


void
QEnum_Select::setText (
	const QString & name_n )
{
	_lbl.setText ( name_n );
}


} // End of namespace

