//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qwidget_style_hpp__
#define __INC_qwidget_style_hpp__


#include <QColor>


namespace Wdg
{


class QWidget_Style
{
	// Public methods
	public:

	QWidget_Style ( );

	~QWidget_Style ( );


	// Public attributes
	public:

	int style_id;

	QColor border_col_normal;
	QColor border_col_focus;

	QColor tick_col[3];

	QColor col_fg;
	QColor col_bg;

	QColor col_active_glow;
	QColor col_active_light;
	QColor col_active_dark;
};


} // End of namespace


#endif


