//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "shared_pixmap_set_config.hpp"


namespace SPix
{


//
// Shared_Pixmap_Config
//

Shared_Pixmap_Set_Config::Shared_Pixmap_Set_Config (
	const QSize & size_n ) :
size ( size_n ),
style_id ( 0 )
{
}


Shared_Pixmap_Set_Config::~Shared_Pixmap_Set_Config ( )
{
}


bool
Shared_Pixmap_Set_Config::equal (
	const Shared_Pixmap_Set_Config & cfg_n ) const
{
	return ( cfg_n.size == size ) &&
		( cfg_n.style_id == style_id );
}


Shared_Pixmap_Set_Config *
Shared_Pixmap_Set_Config::new_clone ( ) const
{
	Shared_Pixmap_Set_Config * res (
		new Shared_Pixmap_Set_Config ( *this ) );
	return res;
}


} // End of namespace

