//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_wdg_shared_pixmap_set_config_hpp__
#define __INC_wdg_shared_pixmap_set_config_hpp__

#include <QSize>


namespace SPix
{


///
/// @brief Shared_Pixmap_Set_Config
///
class Shared_Pixmap_Set_Config
{
	// Public methods
	public:

	Shared_Pixmap_Set_Config (
		const QSize & size_n = QSize() );

	virtual
	~Shared_Pixmap_Set_Config ( );

	virtual
	bool
	equal (
		const Shared_Pixmap_Set_Config & cfg_n ) const;

	virtual
	Shared_Pixmap_Set_Config *
	new_clone ( ) const;


	// Attributes

	QSize size;

	int style_id;
};


} // End of namespace


#endif


