//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_wdg_shared_pixmap_set_painter_hpp__
#define __INC_wdg_shared_pixmap_set_painter_hpp__

#include "shared_pixmap_set.hpp"


namespace SPix
{


///
/// @brief Shared_Pixmap_Set_Painter
///
class Shared_Pixmap_Set_Painter
{
	public:

	virtual
	~Shared_Pixmap_Set_Painter ( );

	virtual
	int
	paint_pixmaps (
		Shared_Pixmap_Set * imgs_n,
		int image_type = 0 ) = 0;
};


} // End of namespace

#endif


