//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_scroll_pad_hpp__
#define __INC_sliders_scroll_pad_hpp__

#include "sliders_pad.hpp"

#include <QScrollArea>



namespace Wdg
{


///
/// @brief Sliders_Scroll_Pad
///
class Sliders_Scroll_Pad :
	public QScrollArea
{
	// Public methods
	public:

	Sliders_Scroll_Pad (
		QWidget * parent_n = 0 );

	Sliders_Pad &
	sliders_pad ( );

	QSize
	minimumSizeHint ( ) const;


	// Private attributes
	private:

	Sliders_Pad _sliders_pad;
};


inline
Sliders_Pad &
Sliders_Scroll_Pad::sliders_pad ( )
{
	return _sliders_pad;
}


} // End of namespace


#endif


