//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_dialog_info_hpp__
#define __INC_dialog_info_hpp__

#include <QDialog>
#include <QLabel>
#include <QTabWidget>
#include "qtext_browser.hpp"


///
/// @brief Dialog_Info
///
class Dialog_Info :
	public QDialog
{
	Q_OBJECT

	// Public methods
	public:

	Dialog_Info (
		QWidget * parent = 0 );


	// Protected methods
	protected:

	QString
	read_doc_file (
		const QString & filename_n ) const;

	QString
	find_l10n_file (
		const QString & filename_n ) const;


	// Private slots
	private slots:


	// Private attributes
	private:

	QLabel _title;

	QTabWidget _tabs;

	Wdg::QText_Browser _txt_info;

	Wdg::QText_Browser _txt_license;
};


#endif


