//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_sliders_proxies_set.hpp"

#include <QContextMenuEvent>
#include <iostream>


namespace QSnd
{


//
// Mixer_Sliders_Proxies_Set
//

Mixer_Sliders_Proxies_Set::Mixer_Sliders_Proxies_Set (
	QObject * parent_n ) :
Wdg::Sliders_Pad_Proxies_Set ( parent_n )
{
}


Mixer_Sliders_Proxies_Set::~Mixer_Sliders_Proxies_Set ( )
{
}


void
Mixer_Sliders_Proxies_Set::update_mixer_values ( )
{
	if ( slider_proxy() != 0 ) {
		static_cast < Mixer_Sliders_Proxy_Slider * > (
			slider_proxy() )->update_mixer_values();
	}
	if ( switch_proxy() != 0 ) {
		static_cast < Mixer_Sliders_Proxy_Switch * > (
			switch_proxy() )->update_mixer_values();
	}
}


} // End of namespace

