//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_mixer_sliders_proxies_set_hpp__
#define __INC_mixer_sliders_proxies_set_hpp__

#include "sliders_pad_proxies_set.hpp"
#include "mixer_sliders_proxy_slider.hpp"
#include "mixer_sliders_proxy_switch.hpp"


namespace QSnd
{


///
/// @brief Mixer_Sliders_Proxies_Set
///
class Mixer_Sliders_Proxies_Set :
	public Wdg::Sliders_Pad_Proxies_Set
{
	Q_OBJECT

	// Public methods
	public:

	Mixer_Sliders_Proxies_Set (
		QObject * parent_n = 0 );

	~Mixer_Sliders_Proxies_Set ( );


	void
	update_mixer_values ( );
};


} // End of namespace


#endif


