//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qcheck_box_painter.hpp"


namespace Wdg
{
namespace Painter
{


QCheck_Box_Painter::QCheck_Box_Painter ( ) :
_pm_cfg ( 0 )
{
}


int
QCheck_Box_Painter::paint_pixmaps (
	SPix::Shared_Pixmap_Set * spms_n,
	int image_type_n )
{
	int res ( -1 );
	if ( spms_n != 0  ) {
		_pm_cfg = spms_n->config();
		if ( _pm_cfg != 0 ) {
			set_current_style ( _pm_cfg->style_id );

			if ( image_type_n == 0 ) {
				spms_n->set_num_pixmaps ( 4 );
				res = this->paint_bg ( spms_n );

			} else if ( image_type_n == 1 ) {
				spms_n->set_num_pixmaps ( 4 );
				res = this->paint_handle ( spms_n );

			}
		}
	}
	return res;
}



} // End of namespace
} // End of namespace
