//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcheck_box_painter_box_hpp__
#define __INC_qcheck_box_painter_box_hpp__


#include "qcheck_box_painter.hpp"
#include "qwidget_style_painter.hpp"


namespace Wdg
{
namespace Painter
{


class QCheck_Box_Painter_Box :
	public QCheck_Box_Painter
{
	// Public methods
	public:

	QCheck_Box_Painter_Box ( );


	// Protected methods
	protected:

	// Background

	int
	paint_bg (
		SPix::Shared_Pixmap_Set * spms_n );

	void
	paint_bg_type (
		SPix::Shared_Pixmap_Set * spms_n,
		int pixmap_idx_n );

	void
	paint_bg_area ( );

	void
	paint_bg_frame ( );


	// Handle

	int
	paint_handle (
		SPix::Shared_Pixmap_Set * spms_n );

	void
	paint_handle_type (
		SPix::Shared_Pixmap_Set * spms_n,
		int dir_n,
		int checked_n );

	QPolygonF
	cross_line (
		QPointF start_n,
		QPointF end_n,
		float width_n = 1.0f );

	// Provate attributes
	private:

	int _max_len;
	int _min_len;
	int _border_width;
};



} // End of namespace
} // End of namespace

#endif


