//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qcheck_box_pixmaps_buffers.hpp"


namespace Wdg
{


//
// QCheck_Box_Pixmaps_Buffers
//
QCheck_Box_Pixmaps_Buffers::QCheck_Box_Pixmaps_Buffers (
	SPix::Shared_Pixmap_Set_Buffer * bg_n,
	SPix::Shared_Pixmap_Set_Buffer * handle_n ) :
_buff_bg ( bg_n ),
_buff_handle ( handle_n )
{
}



void
QCheck_Box_Pixmaps_Buffers::set_buff_bg (
	SPix::Shared_Pixmap_Set_Buffer * buff_n )
{
	_buff_bg = buff_n;
}


void
QCheck_Box_Pixmaps_Buffers::set_buff_handle (
	SPix::Shared_Pixmap_Set_Buffer * buff_n )
{
	_buff_handle = buff_n;
}


void
QCheck_Box_Pixmaps_Buffers::set_painter (
	Painter::QCheck_Box_Painter * painter_n )
{
	if ( buff_bg() != 0 ) {
		buff_bg()->set_painter ( painter_n );
	}
	if ( buff_handle() != 0 ) {
		buff_handle()->set_painter ( painter_n );
	}
}


} // End of namespace

