//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcheck_box_pixmaps_config_hpp__
#define __INC_qcheck_box_pixmaps_config_hpp__


#include "shared_pixmap_set.hpp"
#include "shared_pixmap_set_buffer.hpp"


namespace Wdg
{


//
// QCheck_Box_Pixmaps_Config_Bg
//

class QCheck_Box_Pixmaps_Config_Bg :
	public SPix::Shared_Pixmap_Set_Config
{
	public:

	SPix::Shared_Pixmap_Set_Config *
	new_clone ( ) const;
};


//
// QCheck_Box_Pixmaps_Config_Handle
//

class QCheck_Box_Pixmaps_Config_Handle :
	public SPix::Shared_Pixmap_Set_Config
{
	public:

	SPix::Shared_Pixmap_Set_Config *
	new_clone ( ) const;
};


//
// QCheck_Box_Pixmaps_Config
//

class QCheck_Box_Pixmaps_Config
{
	// Public methods
	public:

	void
	set_style_id (
		int id_n );


	// Public attributes
	public:

	QCheck_Box_Pixmaps_Config_Bg bg;

	QCheck_Box_Pixmaps_Config_Handle handle;
};


} // End of namespace

#endif


