//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_wdg_qcombobox_loop_hpp__
#define __INC_wdg_qcombobox_loop_hpp__

#include <QComboBox>
#include <QWheelEvent>


namespace Wdg
{


class QComboBox_Loop :
	public QComboBox
{
	public:

	QComboBox_Loop (
		QWidget * parent = 0 );


	// Protected methods
	protected:

	void
	wheelEvent (
		QWheelEvent * event );


	private:

	int _wheel_accu;
};


} // End of namespace

#endif


