//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcovered_spinbox_hpp__
#define __INC_qcovered_spinbox_hpp__

#include <QSpinBox>

#include "qcovered_input.hpp"


namespace Wdg {


class QCovered_Spinbox :
	public QCovered_Input
{
	// Public methods
	public:

	QCovered_Spinbox (
		QWidget * parent_n = 0 );


	QSpinBox *
	spinbox ( );


	// Private attributes
	private:

	QSpinBox _spinbox;
};


inline
QSpinBox *
QCovered_Spinbox::spinbox ( )
{
	return &_spinbox;
}


} // End of namespace

#endif


