//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qenum_select_hpp__
#define __INC_qenum_select_hpp__

#include <QWidget>
#include <QLabel>
#include <QComboBox>
#include <QString>


namespace Wdg
{


class QEnum_Select :
	public QWidget
{
	// Public methods
	public:

	QEnum_Select (
		QWidget * parent = 0,
		const QString & name_n = QString() );


	QComboBox *
	combo_box ( );

	void
	setText (
		const QString & name_n );


	// Private attributes
	private:

	QLabel _lbl;

	QComboBox _select;
};


inline
QComboBox *
QEnum_Select::combo_box ( )
{
	return &_select;
}


} // End of namespace

#endif


