//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_labels_vars_hpp__
#define __INC_sliders_pad_labels_vars_hpp__

#include <QRectF>


namespace Wdg
{


///
/// @brief Sliders_Pad_Labels_Vars
///
class Sliders_Pad_Labels_Vars
{
	// Public methods
	public:

	Sliders_Pad_Labels_Vars ( );


	double angle;
	double angle_sin;
	double angle_cos;

	qreal center_x;
	qreal center_y;

	unsigned int max_str_length_px;

	const int pad_left;
	const int pad_right;
	const int spacing_inter;
	const int spacing_bottom;
};


} // End of namespace


#endif


