//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_proxy_switch.hpp"


namespace Wdg
{


//
// Sliders_Pad_Proxy_Switch
//

Sliders_Pad_Proxy_Switch::Sliders_Pad_Proxy_Switch (
	QObject * parent_n ) :
Sliders_Pad_Proxy ( parent_n ),
_switch_state ( false )
{
}


Sliders_Pad_Proxy_Switch::~Sliders_Pad_Proxy_Switch ( )
{
}


void
Sliders_Pad_Proxy_Switch::set_switch_state (
	bool state_n )
{
	if ( state_n != _switch_state ) {
		_switch_state = state_n;
		this->switch_state_changed();
		emit sig_switch_state_changed ( switch_state() );
	}
}


void
Sliders_Pad_Proxy_Switch::switch_state_changed ( )
{
	// Dummy implementation
}


} // End of namespace

